Bug 743194 (CVE-2011-3366) - CVE-2011-3366 rekonq: Input validation flaw
Summary: CVE-2011-3366 rekonq: Input validation flaw
Status: CLOSED CURRENTRELEASE
Alias: CVE-2011-3366
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20111003,repor...
Keywords: Security
Depends On: 743055
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-10-04 07:33 UTC by Huzaifa S. Sidhpurwala
Modified: 2017-05-26 07:33 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2012-08-08 15:29:54 UTC


Attachments (Terms of Use)
rekonq patch (23.06 KB, patch)
2011-10-04 10:51 UTC, Lukáš Tinkl
no flags Details | Diff

Description Huzaifa S. Sidhpurwala 2011-10-04 07:33:48 UTC
An input validation failure was discovered in KSSL (CVE-2011-3365) and Rekonq
(CVE-2011-3366) in KDE SC 4.6.0 up to and including KDE SC 4.7.1, however
upstream indicates that ealier versions of KDE SC may also be affected.  The
upstream advisory [1] details are noted below:

This bug is used for the rekonq flaw (CVE-2011-3366)

More details at:
https://bugzilla.redhat.com/show_bug.cgi?id=743054#c0

Comment 1 Lukáš Tinkl 2011-10-04 10:51:32 UTC
Created attachment 526226 [details]
rekonq patch

526ce56f 85f454fa d1711fff

Comment 2 Rex Dieter 2012-08-08 15:00:51 UTC
confirmed this patch  is already present and applied to rekonq-0.9.2 present already in f16 and f17


Note You need to log in before you can comment on or make changes to this bug.